## php.java.bridge
Class DefaultOptions

    java.lang.Object
      php.java.bridge.Options
          php.java.bridge.DefaultOptions

    public final class DefaultOptions

extends Options

Exposes the request options. There is one Options instance for each request, but certain options may change for each packet. For example if a user calls java_set_file_encoding(enc), the new file encoding becomes available in the next packet.

Author:
  jostb

Constructor Summary
`DefaultOptions()`

Method Summary
`boolean` `base64Data()` Return true if we must return a base 64 encoded string due to limitations in the client's XML parser.
`boolean` `hexNumbers()` Returns always true unless the client hasn't sent a request header (for backward compatibility).
`boolean` `passContext()` Return true, if the client cannot keep a back-pointer to its own data structures.
`boolean` `preferValues()` Returns true when the bridge must destroy object identity (see PROTOCOL.TXT) due to limitations in the client (for PHP4 for example).

Methods inherited from class php.java.bridge.Options
`getBytes, getEncoding, sendArraysAsValues, setEncoding, updateOptions`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultOptions

    public DefaultOptions()

Method Detail

### hexNumbers

    public boolean hexNumbers()

  Description copied from class: `Options`
  Returns always true unless the client hasn't sent a request header (for backward compatibility).

  Overrides:
    `hexNumbers` in class `Options`
  Returns:
    true if the bridge should encode/decode exact numbers in hex.

### base64Data

    public boolean base64Data()

  Description copied from class: `Options`
  Return true if we must return a base 64 encoded string due to limitations in the client's XML parser. This option stays the same for all packets.

  Overrides:
    `base64Data` in class `Options`
  Returns:
    true if the bridge must return strings as cdata, false otherwise.

### preferValues

    public boolean preferValues()

  Description copied from class: `Options`
  Returns true when the bridge must destroy object identity (see PROTOCOL.TXT) due to limitations in the client (for PHP4 for example). This option stays the same for all packets.

  Overrides:
    `preferValues` in class `Options`
  Returns:
    the appropriate value from the request header.

### passContext

    public boolean passContext()

  Description copied from class: `Options`
  Return true, if the client cannot keep a back-pointer to its own data structures. This option stays the same for all packets.

  Overrides:
    `passContext` in class `Options`
  Returns:
    true if the bridge must accept and pass a context ID, false otherwise.